import sys

k = 5
T = 290000
s = input()

# Count distinct 6-grams
counts = set()
for i in range(len(s) - k + 1):
    gram = s[i : i + k]
    counts.add(gram)

l = len(counts)
print(l, file=sys.stderr)
# For random text, nearly all of the 6-grams will be distinct
if l > T:
    print("no")
else:
    print("yes")
